import '../../../utils/index2.mjs';
import '../../../constants/index2.mjs';
import { isNumber } from '@vueuse/core';
import { buildProps, definePropType } from '../../../utils/vue/props/runtime2.mjs';
import { mutable } from '../../../utils/typescript2.mjs';
import { UPDATE_MODEL_EVENT, CHANGE_EVENT } from '../../../constants/event2.mjs';

const emitChangeFn = (value) => typeof isNumber(value);
const collapseProps = buildProps({
  accordion: Boolean,
  modelValue: {
    type: definePropType([Array, String, Number]),
    default: () => mutable([])
  }
});
const collapseEmits = {
  [UPDATE_MODEL_EVENT]: emitChangeFn,
  [CHANGE_EVENT]: emitChangeFn
};

export { collapseEmits, collapseProps, emitChangeFn };
//# sourceMappingURL=collapse4.mjs.map
