import dayjs, { isDayjs } from 'dayjs';
import '../../../utils/index2.mjs';
import { isArray } from '@vue/shared';

const isValidRange = (range) => {
  if (!isArray(range))
    return false;
  const [left, right] = range;
  return isDayjs(left) && isDayjs(right) && left.isSameOrBefore(right);
};
const getDefaultValue = (defaultValue, { lang, unit, unlinkPanels }) => {
  let start;
  if (isArray(defaultValue)) {
    let [left, right] = defaultValue.map((d) => dayjs(d).locale(lang));
    if (!unlinkPanels) {
      right = left.add(1, unit);
    }
    return [left, right];
  } else if (defaultValue) {
    start = dayjs(defaultValue);
  } else {
    start = dayjs();
  }
  start = start.locale(lang);
  return [start, start.add(1, unit)];
};

export { getDefaultValue, isValidRange };
//# sourceMappingURL=utils2.mjs.map
