'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var dayjs = require('dayjs');
require('../../../utils/index2.js');
var shared = require('@vue/shared');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var dayjs__default = /*#__PURE__*/_interopDefaultLegacy(dayjs);

const isValidRange = (range) => {
  if (!shared.isArray(range))
    return false;
  const [left, right] = range;
  return dayjs.isDayjs(left) && dayjs.isDayjs(right) && left.isSameOrBefore(right);
};
const getDefaultValue = (defaultValue, { lang, unit, unlinkPanels }) => {
  let start;
  if (shared.isArray(defaultValue)) {
    let [left, right] = defaultValue.map((d) => dayjs__default["default"](d).locale(lang));
    if (!unlinkPanels) {
      right = left.add(1, unit);
    }
    return [left, right];
  } else if (defaultValue) {
    start = dayjs__default["default"](defaultValue);
  } else {
    start = dayjs__default["default"]();
  }
  start = start.locale(lang);
  return [start, start.add(1, unit)];
};

exports.getDefaultValue = getDefaultValue;
exports.isValidRange = isValidRange;
//# sourceMappingURL=utils2.js.map
